> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get voucher for a contact

GET https://api.brevo.com/v3/loyalty/offer/programs/{pid}/vouchers

Get voucher for a contact

Reference: https://developers.brevo.com/reference/get-voucher-for-a-contact

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Query parameters

- `limit` (integer, optional, default: 25) — Page size
- `offset` (integer, optional, default: 0) — Pagination offset
- `sort` (enum, optional, default: desc) — Sort order
  - Allowed values: `asc`, `desc`
- `sortField` (enum, optional, default: updatedAt) — Sort field
  - Allowed values: `updatedAt`, `createdAt`
- `contactId` (integer, required) — Contact ID
- `metadata_key_value` (string, optional) — Metadata value for a Key filter
- `rewardId` (string, optional) — Reward ID

## Response

### 200

Voucher list successfully retrieved

- `contactId` (long, optional) — Contact id associated with the current reward
- `contactRewards` (list of object, optional) — List of all the rewards for current contact
  - `code` (string, optional) — Generated code
  - `consumedAt` (string, optional) — Timestamp when the reward limit was consumed
  - `createdAt` (string, optional) — Timestamp when the reward limit was created
  - `expirationDate` (string, optional) — Reward expiration date
  - `id` (string, optional) — Unique identifier for the contact
  - `meta` (map from string to any, optional) — Additional data for the reward
  - `rewardId` (string, optional) — Unique identifier for the reward
  - `unit` (string, optional) — Unit of the balance selected in the reward definition
  - `updatedAt` (string, optional) — Timestamp when the reward limit was updated
  - `value` (double, optional) — Value of the selected reward config
  - `validFrom` (datetime, optional) — Date from which the voucher becomes valid
- `count` (integer, optional) — Count of the rewards associated with the current contact
- `loyaltyProgramId` (string, optional) — Loyalty Program Id for the contact
- `loyaltySubscriptionId` (string, optional) — Loyalty Subscription Id for the contact

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "contactId": 1,
  "contactRewards": [
    {
      "code": "string",
      "consumedAt": "string",
      "createdAt": "string",
      "expirationDate": "string",
      "id": "string",
      "meta": {},
      "rewardId": "string",
      "unit": "string",
      "updatedAt": "string",
      "value": 1.1,
      "validFrom": "2024-01-15T09:30:00Z"
    }
  ],
  "count": 1,
  "loyaltyProgramId": "string",
  "loyaltySubscriptionId": "string"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.reward.getVoucherForAContact({
        pid: "pid",
        contactId: 1,
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.reward.get_voucher_for_a_contact(
    pid="pid",
    contact_id=1,
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Reward\Requests\GetLoyaltyOfferProgramsPidVouchersRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->reward->getVoucherForAContact(
    'pid',
    new GetLoyaltyOfferProgramsPidVouchersRequest([
        'contactId' => 1,
    ]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/offer/programs/pid/vouchers?contactId=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/offer/programs/pid/vouchers?contactId=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/offer/programs/pid/vouchers?contactId=1")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/offer/programs/pid/vouchers?contactId=1");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/offer/programs/pid/vouchers?contactId=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```